import { jsx } from "react/jsx-runtime";
import { TokenDOLA as TokenDOLA$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenDOLA = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "DOLA", "data-name": "TokenDOLA", ...props, children: /* @__PURE__ */ jsx(TokenDOLA$1, { variant }) });
  }
);
TokenDOLA.displayName = "TokenDOLA";
Object.assign(TokenDOLA, { isGdsIcon: true });
export {
  TokenDOLA
};
